.cluster-popup-list {
    max-height: 300px;
    overflow-y: auto;
}

.maplibregl-popup-close-button {
    display: none !important;
    visibility: hidden !important;
}

.cluster-popup-list a {
    display: flex;
    margin-bottom: 8px;
    border: 1px solid #ced5dc;
    border-radius: 8px !important;
    padding: 8px 10px !important;
}

.maplibregl-popup-content .single-map-popup {
    display: flex;
    border: 1px solid #ced5dc;
    border-radius: 8px !important;
    padding: 8px 10px;
}

.job-listing-details {
    padding: 0!important;
}

.job-listing-details a {
    border: 1px solid #ced5dc;
    border-radius: 8px !important;
    padding: 8px 10px;
}

.job-listing-description {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.cluster-popup-list a:hover {
    background-color: #f0f0f0;
}

.cluster-popup-list a img,
.job-listing-description .job-listing-description__top img {
    max-width: 40px;
}

.cluster-popup-item-inner {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.cluster-popup-item-inner__bottom,
.job-listing-description__bottom {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 4px;
}

.cluster-popup-item-inner__top,
.job-listing-description .job-listing-description__top {
    display: flex;
    align-items: center;
    gap: 8px;
}

.cluster-popup-item-inner .job-type {
    color: #fff !important;
    border: 1px solid #072641 !important;
    background-color: #072641 !important;
    border-radius: 25px !important;
    padding: 2px 18px;
}